System.ServiceModel 4.0.0.0 System.ServiceModel.EndpointIdentity

This class specifies the expected identity of the server. This identity is valid for X509 Certificate authentication mode if the server’s certificate contains a DNS with the same value. It is also valid for Windows authentication mode if the SPN has the same value. In this case, a client specifying the DnsEndpointIdentity “server1.microsoft.com” for Windows authentication mode is equivalent to specifying the SpnEndpointIdentity “host/server1.microsoft.com” .

Specifies the DNS identity of the server.

- Constructor
  4.0.0.0

  The is used to create an endpoint identity by the method.

  Initializes a new instance of the class from a claim.

  The .
- Constructor
  4.0.0.0
  To be added.

  The is used to create a DNS claim and an endpoint identity is created by the method.

  Initializes a new instance of this class from a DNS name.